org.apache.tinkerpop.gremlin.neo4j.process.traversal.step.sideEffect

## Class CypherStartStep

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,S>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StartStep<Map<String,Object>>
    - - org.apache.tinkerpop.gremlin.neo4j.process.traversal.step.sideEffect.CypherStartStep

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<Map<String,Object>>>, Step<Map<String,Object>,Map<String,Object>>

      public final class CypherStartStep
      extends StartStep<Map<String,Object>>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StartStep

      `first, start`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CypherStartStep(Traversal.Admin traversal, String query, Neo4jCypherIterator<?> cypherIterator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.StartStep

      `clone, getStart, hashCode, isVariableStartStep, processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### CypherStartStep

          public CypherStartStep(Traversal.Admin traversal,
                                 String query,
                                 Neo4jCypherIterator<?> cypherIterator)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `StartStep<Map<String,Object>>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.